<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 10/13/2003 *
 * ===============                              Last change: 04/26/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : confirm.php                                      *
 * -------------------------------------------------------------------- *
 * Short description : Redirection for the confirmation link            *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Weiterleitungsscript fuer den Bestaetigungslink  *
 * -------------------------------------------------------------------- *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Load security stuff here (Oh, I hope this is not unsecure? Am I paranoia??? ;-) )
require_once("inc/libs/security_functions.php");

// Init "action" and "what"
global $what, $action;
$GLOBALS['what'] = ""; $GLOBALS['action'] = "";

// Set module to confirm
$GLOBALS['module'] = "confirm"; $CSS = -1;

// Load the required file(s)
require ("inc/config.php");

// Is the script installed?
if (defined('mxchange_installed') && (isBooleanConstantAndTrue('mxchange_installed')) && (isBooleanConstantAndTrue('admin_registered')))
{
	// Base URL for redirection
	$URL = URL."/modules.php?module=index&what=confirm&hash=";
	if (empty($_GET['hash']))
	{
		// No refid and we add our refid (don't forget to set $def_refid!)
		$URL = URL."/modules.php?module=index";
	}
	 else
	{
		// We have an refid here. So we simply add it
		$URL .= $_GET['hash'];
	}
	// Load the URL
	LOAD_URL($URL);
	// Redirection should be done here
}
 else
{
	// You have to configure first!
	LOAD_URL("install.php");
}
// Really all done here... ;-)
?>
